[Xcb] [PATCH pthread-stubs 1/4] autogen.sh: quote path variables

Emil Velikov emil.l.velikov at gmail.com
Thu Nov 3 20:24:56 UTC 2016


From: Emil Velikov <emil.velikov at collabora.com>

If the pathname has space things will explode in various ways. Avoid
that by adding quotation marks where applicable.

Signed-off-by: Emil Velikov <emil.velikov at collabora.com>
---
 autogen.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index fc34bd5..f9b61bb 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,13 +1,13 @@
 #! /bin/sh
 
-srcdir=`dirname $0`
+srcdir=`dirname "$0"`
 test -z "$srcdir" && srcdir=.
 
 ORIGDIR=`pwd`
-cd $srcdir
+cd "$srcdir"
 
 autoreconf -v --install || exit 1
-cd $ORIGDIR || exit $?
+cd "$ORIGDIR" || exit $?
 
 if test -z "$NOCONFIGURE"; then
     $srcdir/configure "$@"
-- 
2.10.0



More information about the Xcb mailing list